<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8">
	<link rel="shortcut icon" href="favicon.ico" />
	<title>Inventário Mercadinho - Início</title>

	<!-- Load required Bootstrap and BootstrapVue CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
		integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
	<link type="text/css" rel="stylesheet" href="//unpkg.com/bootstrap-vue@latest/dist/bootstrap-vue.min.css" />

	<style>
		[v-cloak] {
			display: none
		}

		#modal-novo .row {
			margin-bottom: 0.3rem;
		}
	</style>
</head>

<body>
	<div id="inicio" v-cloak class="container-fluid">

		<div class="d-flex justify-content-between p-2">
			<h4>Lista de Produtos {{nome}}</h4>
			<b-button variant="primary" @click="mostrarModal = true">
				Novo Produto
			</b-button>

			<b-modal size="xl" id="modal-novo" v-model="mostrarModal" title="Novo Produto" xl>

				<div class="container-fluid">
					<div class="row">
						<div class="col-12">
							<b-form-group description="Informe o nome do produto" label="Nome">
								<b-form-input v-model="novoProduto.nome"></b-form-input>
							</b-form-group>
						</div>
					</div>
					<div class="row">
						<div class="col-12">
							<b-form-group description="Escolha um fabricante" label="Fabricante">
								<b-form-select v-model="novoProduto.fabricante.id" :options="fabricanteOpcoes">
								</b-form-select>
							</b-form-group>
						</div>
					</div>
					<div class="row">
						<div class="col-4">
							<b-form-group description="Informe o volume do produto (Ex: 12.3)" label="Volume">
								<b-form-input v-model="novoProduto.volume"></b-form-input>
							</b-form-group>
						</div>
						<div class="col-4">
							<b-form-group description="Ex: ml, Kg" label="Unidade">
								<b-form-input v-model="novoProduto.unidade"></b-form-input>
							</b-form-group>
						</div>
						<div class="col-4">
							<b-form-group description="Quantos produtos em estoque ?" label="Estoque">
								<b-form-input v-model="novoProduto.estoque"></b-form-input>
							</b-form-group>
						</div>
					</div>
				</div>

				<template #modal-footer>
					<div clas="d-flex justify-content-between w-100">

						<b-button variant="danger" size="sm" @click="onCancelarClick()">
							Cancelar
						</b-button>

						<b-button variant="success" size="sm" @click="onSalvarClick()" :disabled="!formValido">
							Salvar
						</b-button>

					</div>
				</template>
			</b-modal>
		</div>
		<div class="d-flex p-3">
			<b-table hover responsive :items="listaProdutos" :fields="listaProdutosHeader"
				style="margin-bottom: 50px; overflow-y: hidden">

				<template #cell(acoes)="data">
					<div>
						<div v-if="!edicao" @click="onEditClick(data.item)">
							<span>&#9998;</span>
						</div>
						<div v-else-if="mostrar(data.item)" @click="onUpdateClick(data.item)">
							<p class="h4 mb-2">
								<b-icon icon="check" />
							</p>
						</div>
					</div>
					<div @click="onDeleteClick(data.item)">
						<span>&#10006;</span>
					</div>
				</template>

				<template #cell(nome)="data">
					<div v-if="mostrar(data.item)">
						<b-form-input v-model="data.item.nome" placeholder="Escreva o nome"></b-form-input>
					</div>
					<div v-else>
						{{data.item.nome}}
					</div>
				</template>
				<template #cell(fabricante.nome)="data">
					<div v-if="mostrar(data.item)">
						<div>
							<b-form-select v-model="selected" :options="fabricanteOpcoes"></b-form-select>
						</div>
					</div>
					<div v-else>
						{{data.item.fabricante.nome}}
					</div>
				</template>
				<template #cell(volume)="data">
					<div v-if="mostrar(data.item)">
						<b-form-input v-model="data.item.volume" placeholder="Escreva o nome"></b-form-input>
					</div>
					<div v-else>
						{{data.item.volume}}
					</div>
				</template>
				<template #cell(unidade)="data">
					<div v-if="mostrar(data.item)">
						<b-form-input v-model="data.item.unidade" placeholder="Escreva o nome"></b-form-input>
					</div>
					<div v-else>
						{{data.item.unidade}}
					</div>
				</template>
				<template #cell(estoque)="data">
					<div v-if="mostrar(data.item)">
						<b-form-input v-model="data.item.estoque" placeholder="Escreva o nome"></b-form-input>
					</div>
					<div v-else>
						{{data.item.estoque}}
					</div>
				</template>

			</b-table>
		</div>
	</div>

	<script src="resources/js/vue.js"></script>
	<script src="//unpkg.com/bootstrap-vue@latest/dist/bootstrap-vue.min.js"></script>
	<script src="//unpkg.com/bootstrap-vue@latest/dist/bootstrap-vue-icons.min.js"></script>
	<script src="resources/js/axios.min.js"></script>
	<script src="resources/js/index.js"></script>
</body>

</html>